#!/usr/bin/env bash
set -e
set -x
#killall ddns-tencent > /dev/null 2>&1
if [[ -z $TXY_KEY ]];then
  echo "TXY_KEY is empty"
  f=/opt/apps/com.liumou.ddns-tencent/.txy.env
  if [ -f $f ]; then
    source $f
    if [[ -z $TXY_KEY ]];then
      echo "Read File: $f"
      echo "ERROR TXY_KEY is empty"
      echo "ERROR : Please configure the file first : $f"
      exit 1
    fi
  else
    if [[ -f ~/.txy.env ]];then
      source ~/.txy.env
      if [[ -z $TXY_KEY ]];then
        echo "Read File: ~/.txy.env"
        echo "ERROR : TXY_KEY is empty"
        echo "ERROR : Please configure the file first : $f"
        exit 2
      fi
    fi
  fi
else
  echo "INFO TXY_KEY is set"
fi
which ddns-tencent
if [[ $? -ne 0 ]];then
  echo "ERROR : ddns-tencent is not installed"
  exit 3
fi
ddns-tencent -pid
